/* 
 * (c) 2015 - 2018 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _ROTATE_H_
#define _ROTATE_H_

#include <gtk/gtk.h>
#include <math.h>

#ifndef DEF_SURF_FORMAT
	#define DEF_SURF_FORMAT (CAIRO_FORMAT_ARGB32)
#endif

GdkPoint canvas_calc_rotate(double angle_deg, int x, int y);
void rotate_pts(double angle_deg, GdkPoint *p1, GdkPoint *p2, GdkPoint *p3, GdkPoint *p4);
void rotate_rectangle(double angle_deg, GdkRectangle *r);
void dialog_rotate_run(void);

#endif
