/* 
 * (c) 2015 - 2018 Juan Balderas
 * This file is part of Dibuja.

 * Dibuja is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Dibuja is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Dibuja.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _SHAPES_H_
#define _SHAPES_H_

#include "tools.h"
#include "draw-funcs.h"

typedef enum{
	SHAPE_RECTANGLE,
	SHAPE_ELLIPSE,
	SHAPE_ROUNDED_RECTANGLE,
	SHAPE_LAST
}ShapeType;

DrawTool *shapes_get_tool(void);
void shape_set_type(ShapeType type);
void shape_set_fill_type(ShapeFillType type);

#endif
